import request from '@/utils/request'

export function getMemberPage(params) {
    return request({
        url: '/admin/member/page',
        method: 'get',
        params
    })
}

export function getMemberList(params) {
    return request({
        url: '/admin/member/list',
        method: 'get',
        params
    })
}

export function getMemberSearchList(params) {
  return request({
    url: '/admin/member/searchList',
    method: 'get',
    params
  })
}

export function addMember(data) {
    return request({
        url: '/admin/member/add',
        method: 'post',
        data: data
    })
}

export function editMember(data) {
    return request({
        url: '/admin/member/update',
        method: 'post',
        data: data
    })
}

export function deleteMember(memberId) {
    return request({
        url: '/admin/member/delete/' + memberId,
        method: 'get'
    })
}

